public class CD {
    private String titolo;
    private String autore;
    private int brani;
    private int durata;
    
    public CD(String titolo,String autore,int brani,int durata){
        setTitolo(titolo);
        setAutore(autore);
        setBrani(brani);
        setDurata(durata);
    }
    
    public CD(CD c){
        setTitolo(c.getTitolo());
        setAutore(c.getAutore());
        setBrani(c.getBrani());
        setDurata(c.getDurata());
    }

    public String getAutore() {
        return autore;
    }

    public void setAutore(String autore) {
        this.autore = autore;
    }

    public int getDurata() {
        return durata;
    }

    public void setDurata(int durata) {
        this.durata = durata;
    }

    public int getBrani() {
        return brani;
    }

    public void setBrani(int brani) {
        this.brani = brani;
    }

    public String getTitolo() {
        return titolo;
    }

    public void setTitolo(String titolo) {
        this.titolo = titolo;
    }
    
    public String toString() {
        return "Titolo: "+titolo+" Autore: "+autore+" N_Brani: "+brani+" Durata: "+durata +" (m)";
    }
    public boolean equals(CD c) {
        return ((titolo.equals(c.getTitolo()))&& (autore.equals(c.getAutore())) && (brani==c.getBrani()) && (durata==c.getDurata()));
    }
    public int compareDurata(CD cd){
        if (getDurata()>cd.getDurata()) return 1;
        if (getDurata()<cd.getDurata()) return -1;
        return 0;
    }
    public static void main(String argv[]) { 
        CD cd1=new CD("Burattino senza fili","E.Bennato",8,40);
        CD cd2=new CD("Bufalo Bill","F.De Gregori",10,45);
        System.out.println(cd1.toString());
        System.out.println(cd2.toString());
        if (cd1.compareDurata(cd2)==0)
            System.out.println("I due cd hanno la stessa durata");
        else if(cd1.compareDurata(cd2)==1)
               System.out.println("Il primo Cd ha una durata maggiore");
             else
	      System.out.println("Il secondo Cd ha una durata maggiore");	
    }             
}