import java.io.Serializable;
public class Computer implements Serializable{
    private String marca;
    private String modello;
    private float velocita;
    private int ram;
    private int disco;
    private int monitor;
    private int anno;

    public Computer(Computer computer){
        this.marca = computer.getMarca();
        this.modello = computer.getModello();
        this.velocita = computer.getVelocita();
        this.ram = computer.getRam();
        this.disco = computer.getDisco();
        this.monitor = computer.getDisco();
        this.anno = computer.getAnno();          
    }

    public Computer(String marca, String modello, float velocita, int ram, int disco, int monitor, int anno) {
        this.marca = marca;
        this.modello = modello;
        this.velocita = velocita;
        this.ram = ram;
        this.disco = disco;
        this.monitor = monitor;
        this.anno = anno;
    }
    public int getAnno() {
        return anno;
    }

    public void setAnno(int anno) {
        this.anno = anno;
    }

    public int getDisco() {
        return disco;
    }

    public void setDisco(int disco) {
        this.disco = disco;
    }

    public String getMarca() {
        return marca;
    }

    public void setMarca(String marca) {
        this.marca = marca;
    }

    public String getModello() {
        return modello;
    }

    public void setModello(String modello) {
        this.modello = modello;
    }

    public int getMonitor() {
        return monitor;
    }

    public void setMonitor(int monitor) {
        this.monitor = monitor;
    }

    public int getRam() {
        return ram;
    }

    public void setRam(int ram) {
        this.ram = ram;
    }

    public float getVelocita() {
        return velocita;
    }

    public void setVelocita(float velocita) {
        this.velocita = velocita;
    }
    
      public String toString(){
        return "Marca: "+getMarca()+" Modello: "+getModello()+" Ram (Gb): "+getRam()+" Disco (Gb): "+getDisco()+" Velocit (Mhz): "+getVelocita()+
                " Disco (Gb): "+getDisco()+" Monitor (pollici): "+getMonitor()+" Anno: "+getAnno();
    }

}

