public class Cronometro {
    private long accumulaMilliSecondi;
    private long inizio;
    private boolean fermo=true;
	
	public Cronometro(){
        init();
    }

    public void init() {
        accumulaMilliSecondi=0;
        inizio=0;
        fermo=true;
    }
   public void start()
    {
       inizio=System.currentTimeMillis();
       fermo=false;
    } 
  public void stop()
    {
       accumulaMilliSecondi+=(System.currentTimeMillis()-inizio) ;
       fermo=true;
    } 
   public String show(char modo)
    { String retVal="";
      long h,m,s;
      if (fermo)
       s= accumulaMilliSecondi/1000;
      else
       s=(accumulaMilliSecondi+(System.currentTimeMillis()-inizio))/1000;
       if (modo=='h'){
        h=s/3600;
        m=(s-h*3600)/60;
        s=s-(h*3600)-(m*60);
        retVal=""+h+":"+m+":"+s;  
       }   
      else if(modo=='m'){
        m=s/60;
        s=s-(m*60);
        retVal=""+m+":"+s;  
       }   
      else  
       retVal=""+(System.currentTimeMillis()-inizio)/1000 ;
      return retVal;
    } 
   public static void waitNSec(long n) {
     try {	
       Thread.currentThread().sleep(n* 1000);
       }
     catch (InterruptedException e) {
       e.printStackTrace();
       }
     }
 public static void main (String[] args){
  Cronometro c1=new Cronometro();
  Cronometro c2=new Cronometro();
  c1.start(); //start c1
  waitNSec(5);
  System.out.println("c1(s): "+c1.show('s'));// show in secondi del valore di c1
  c2.start(); //start c2
  waitNSec(61);
  c1.stop(); //stop di c1
  System.out.println("c1(m:s): "+c1.show('m'));// show in m:s del valore di c1
  waitNSec(4);
  c1.start(); //start c1
  waitNSec(2);
  c2.stop(); //stop di c2
  System.out.println("c2(s): "+c2.show('s'));// show in secondi del valore di c2
  c1.stop(); //stop di c1
  System.out.println("c1(h:m:s): "+c1.show('h'));// show in h:m:s del valore di c1
 }

}