import java.io.Serializable;
public class Veicolo implements Serializable{
    private String targa;
    private String marca;
    private String modello;
    private int n_posti;
    
    public Veicolo(String targa, String marca, String modello, int n_posti){
        this.targa=targa;
        this.marca=marca;
        this.modello=modello;
        this.n_posti=n_posti;          
    }
    public Veicolo(Veicolo veicolo){
        this.targa=veicolo.getTarga();
        this.marca=veicolo.getMarca();
        this.modello=veicolo.getModello();
        this.n_posti=veicolo.getN_posti();          
    }
    
    public String getMarca() {
        return marca;
    }

    public void setMarca(String marca) {
        this.marca = marca;
    }

    public String getModello() {
        return modello;
    }

    public void setModello(String modello) {
        this.modello = modello;
    }

    public int getN_posti() {
        return n_posti;
    }

    public void setN_posti(int n_posti) {
        this.n_posti = n_posti;
    }

    public String getTarga() {
        return targa;
    }

    public void setTarga(String targa) {
        this.targa = targa;
    }
    
    public String toString(){
        return "Targa: "+getTarga()+" Marca: "+getMarca()+" Modello: "+getModello()+" Posti: "+n_posti;
    }

}